Package Details: cardpeek 0.8.4-2

Git Clone URL: https://aur.archlinux.org/cardpeek.git (read-only, click to copy)
Package Base: cardpeek
Description: A tool to read-only the contents of smartcards
Upstream URL: http://pannetrat.com/Cardpeek
Licenses: GPL3
Submitter: lemust83
Maintainer: lemust83
Last Packager: lemust83
Votes: 8
Popularity: 0.000077
First Submitted: 2015-08-10 02:44
Last Updated: 2020-02-28 22:43

Latest Comments

lemust83 commented on 2020-02-28 22:48

Hi I edited PKGBUILD to add arm7h arch as proposed by GNUtoo. Thanks .

GNUtoo commented on 2020-02-27 18:54

Hi,

here are some patches:

From f8f17027bce00ffe198423560e9e01fec9816daf Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org
Date: Thu, 27 Feb 2020 19:39:17 +0100
Subject: [PATCH 1/2] Add armv7h architecture

Signed-off-by: Denis 'GNUtoo' Carikli GNUtoo@cyberdimension.org

PKGBUILD | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/PKGBUILD b/PKGBUILD index 6acd80a..7216376 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -5,7 +5,7 @@ pkgname=cardpeek pkgver=0.8.4 pkgrel=1 pkgdesc="A tool to read-only the contents of smartcards" -arch=(i686 x86_64) +arch=('armv7h' 'i686' 'x86_64') url="http://pannetrat.com/Cardpeek" license=('GPL') depends=('gtk3' 'lua52' 'pcsclite' 'curl') -- 2.25.1

From 98c3092f902f59a21bc9171e48816cc6c4339f86 Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Date: Thu, 27 Feb 2020 19:30:57 +0100
Subject: [PATCH 2/2] Update license
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

- The COPYING file is the GPLv3, with some addition
  permissions related to OpenSSL.
- The cardpeek.appdata.xml file contains the following:
  <project_license>GPL-3.0+</project_license>

So we can safely deduce that the project is at least under
the GPLv3 or later.

As archlinux wiki[1] defines GPL3 as GPL3 or any later
version, as GPL3 ((L)GPL3 — (L)GPL3 or any later version),
we can use GPL3 to reflect that.

References:
-----------
[1]https://wiki.archlinux.org/index.php/PKGBUILD

Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
---
 PKGBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index 7216376..1075cca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@ pkgrel=1
 pkgdesc="A tool to read-only the contents of smartcards"
 arch=('armv7h' 'i686' 'x86_64')
 url="http://pannetrat.com/Cardpeek"
-license=('GPL')
+license=('GPL3')
 depends=('gtk3' 'lua52' 'pcsclite' 'curl')

 source=("http://downloads.pannetrat.com/install/${pkgname}-${pkgver}.tar.gz")
@@ -22,4 +22,4 @@ build() {
 package() {
   cd ${pkgname}-${pkgver}
   make DESTDIR="$pkgdir/" install
-}
\ No newline at end of file
+}
-- 
2.25.1

lemust83 commented on 2018-01-13 12:52

Hi

Sorry , I don't use english fluently...

pkg-config is a part of base-devel which is absolutly necessary to compile from a PKGBUILD. I'm not sure you can compile anything without.

Regards

multim234 commented on 2018-01-13 10:17

The package doesn't compile without pkg-config. Is it possible to add pkg-config in the depends array in the PKGBUILD ?